@ECHO OFF
CLS
ECHO.
ECHO   **************************************
ECHO   * NoNameScript 3.81 recovery console *
ECHO   **************************************
ECHO.
ECHO   * Info:    Use this tool if your script doesn't
ECHO              load correctly anymore.
ECHO              This batch file will try to recover
ECHO              an old mirc.ini file that worked and
ECHO              thus make your script load again.
ECHO.
IF EXIST mirc.backup (
ECHO   * Info:    mirc.backup file found!
ECHO              Your script can probably be repaired!
ECHO.
ECHO   * Warning: make sure you close mIRC before
ECHO              proceeding or the repair will fail!
ECHO              To cancel, close this window.
ECHO.
PAUSE
ECHO.
COPY /Y mirc.backup mirc.ini
ECHO.
ECHO   * Success: Last known good mIRC configuration
ECHO              copied.
ECHO              NoNameScript should now work again.
ECHO.
) ELSE (
ECHO   * Error:   mirc.backup file not found!
ECHO              Your script cannot be repaired, so you
ECHO              will have to re-install it from scratch.
ECHO.
)
PAUSE
